#!/usr/bin/env bash

echo "Archivo generado con Patchwerk (c) mrm/AnimeUnderground"
echo
if [[ ! $(which xdelta3) ]]; then
	echo "Es necesario tener instalado xdelta3. Saliendo."
	exit -1
else
if [[ ! -f "[FnF] Tales of the Abyss [BD] - 09 [79B007D3].mkv" ]]; then
		echo "No se encuentra el fichero de origen: [FnF] Tales of the Abyss [BD] - 09 [79B007D3].mkv"
		exit -1
	fi

if [[ ! -f "[FnF] Tales of the Abyss [BD] - 09 [32461BF1] (parche fuente Nd).xdelta" ]]; then
		echo "No se encuentra el parche: [FnF] Tales of the Abyss [BD] - 09 [32461BF1] (parche fuente Nd).xdelta"
		exit -1
	fi

	echo "Archivo de origen: [FnF] Tales of the Abyss [BD] - 09 [79B007D3].mkv"
	echo "Archivo de destino: [FnF] Tales of the Abyss [BD] - 09 [32461BF1].mkv"
	echo "Aplicando parche..."
	xdelta3 -f -d -B 268435456 -s "[FnF] Tales of the Abyss [BD] - 09 [79B007D3].mkv" "[FnF] Tales of the Abyss [BD] - 09 [32461BF1] (parche fuente Nd).xdelta" "[FnF] Tales of the Abyss [BD] - 09 [32461BF1].mkv"
	echo "Parche aplicado."
fi

exit 0
